ASPELL(1)

NAME
aspell - interactive spell checker

SYNOPSIS
aspell [options] <command>

DESCRIPTION
aspell is a utility that can function as an ispell -a replacement, as an independent spell checker, as a test utility to test out Aspell features, and as a utility for managing dictionaries.

COMMANDS
<command> is one of:

-?,help
    display the help message

-c,check file
    to spell-check a file

-a,pipe
    ispell -a compatibility mode

list
    produce a list of misspelled words from standard input

[dump] config
    dump the current configuration to stdout

config key
    print the current value of an option

soundslike
    return the soundslike equivalent for each word entered

filter
    pass standard input through the same set of filters that would be used to spell check a document

-v,version
    print version number and exit

dump|create|merge master|personal|repl wordlist
    dump, create, or merge a master, personal, or replacement word list

DICTIONARY OPTIONS
The following options may be used to control which dictionaries to use and how they behave.

-d,--master=string
    base name of the dictionary to use. If this option is specified then Aspell will either use this dictionary or die.

--dict-dir=dir
    location of the main word list

-l,--lang=string
    language to use, it follows the same format of the LANG environmental variable on most systems. It consists of the two letter ISO 639 language code and an optional two letter ISO 3166 country code after a dash or underscore. The default value is based on the value of the LC_MESSAGES locale.

--size=string
    the preferred size of the word list

--jargon=string
    an extra information to distinguish two different words lists that have the same lang and size.

--word-list-path=list
    search path for word list information files

--module-search-order=list
    list of available modules, modules that come first on this list have a higher priority. Currently there is only one speller module.

-p,--personal=file
    personal word list file name

--repl=file
    replacements list file name

--extra-dicts=list
    extra dictionaries to use.

--strip-accents=boolean
    strip accents from all words in the dictionary

CHECKER OPTIONS
These options control the behavior of Aspell when checking documents.

-W,--ignore=integer
    ignore words <= n chars

--ignore-case=boolean
    ignore case when checking words

--ignore-accents=boolean
    ignore accents when checking words

--ignore-repl=boolean
    ignore commands to store replacement pairs

--save-repl=boolean
    save the replacement word list on save allkeyboard (file) the base name of the keyboard definition file to use (see section 4.4.3)

--sug-mode=mode
    suggestion mode = ultra | fast | normal | bad-spellers

FILTER OPTIONS
These options modify the behavior of the various filters.

--filter=list
    add or removes a filter

--mode=string
    sets the filter mode. Mode is one if none, url, email, sgml, or tex. (The short cut options '-e' may be used for email, '-H' for Html/Sgml, or '-t' for Tex)

--encoding=string
    The encoding the input text is in. Valid values are ``utf-8'', ``iso8859-*'', ``koi8-r'', ``viscii'', ``cp1252'', ``machine unsigned 16'', ``machine unsigned 32''. However, the Aspell utility will currently only function correctly with 8-bit encodings. utf-8 support is planned for the future. The two ``machine unsigned'' encodings are intended to be used by other programs using the Aspell library and it is unlikely the Aspell utility will ever support these encodings.

--add|rem-email-quote=list
    email quote characters

--email-margin=integer
    number of chars that can appear before the quote char

--sgml-check=list
    SGML attributes to always check

--sgml-extension=list
    SGML file extensions

--tex-command=list
    TeX commands

--tex-check-comments=boolean
    check TeX comments

RUN-TOGETHER WORD OPTIONS
These may be used to control the behavior of run-together words.

-C|-B,--run-together=boolean
    consider run-together words legal

--run-together-limit=integer
    maximum numbers that can be strung together

--run-together-min=integer
    minimal length of interior words

MISC OPTIONS
Miscellaneous options that don't fall under any other category.

--conf=file
    main configuration file

--conf-dir=dir
    location of main configuration file

--data-dir=dir
    location of language data files

--local-data-dir=dir
    alternative location of language data files. This directory is searched before data-dir. It defaults to the same directory the actual main word list is in (which is not necessarily dict-dir).

--home-dir=dir
    location for personal files

--per-conf=file
    personal configuration file

--prefix=dir
    prefix directory

UTILITY OPTIONS

-b|-x--backup=boolean
    create a backup file by appending .bak to the file name. Only applies when the command is check.

--time=boolean
    time load time and suggest time in pipe mode.

--reverse=boolean
    reverse the order of the suggestions list

--keymapping=string
    the keymapping to use, either aspell for the default mapping or ispell to use the same mapping that the ispell utility uses

In addition Aspell will try to make sense out of ispell's command line options so that it can function as a drop in replacement for ispell. If Aspell is run without any command line options it will display a brief help screen and quit.

CONFIGURATION
Aspell can also accept options via a personal or global configuration file. The exact files to used are specified by the options per-conf and conf respectfully but the personal configuration file is normally .aspell.conf located in the $HOME directory. Each line of the configuration file has the format:

    option [value]

where option is any one of the standard library options above without the leading dashes. For example the following line will set the default language to Swiss German:

    lang de_CH

There may any number of spaces between the option and the value however it can only be spaces, i.e. there is no '=' between the option name and the value. Comments may also be included by preceding them with a '#' as anything from a '#' to a newline is ignored. Blank lines are also allowed. Values set in the personal configuration file override those in the global file. Options specified at either the command line or via an environmental variable override those specified by either configuration file.

The global configuration file for Aspell is /etc/aspell.conf and the per user configuration file is ~/.aspell.conf

SEE ALSO

run-with-aspell(1), word-list-compress(1), aspell-import(1)

Aspell is fully documented in its Texinfo manual. See the `aspell' entry in info for more complete documentation.

AUTHOR
This manual page was written by Brian Nelson <pyro@debian.org> based on the Aspell User's Manual, Copyright © 2002 Kevin Atkinson.